Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1271113 (CVE-2015-5290) - CVE-2015-5290 ircd-ratbox: OOM via MONITOR command
Summary: CVE-2015-5290 ircd-ratbox: OOM via MONITOR command
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-5290
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1271114 1271115
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-13 08:03 UTC by Martin Prpič
Modified: 2021-02-17 04:52 UTC (History)
1 user (show)

Fixed In Version: ircd-ratbox 3.0.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:44:07 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-13 08:03:40 UTC
A flaw was discovered in ircd-ratbox and its derivatives:

Elemental-IRCd is an Internet Relay Chat (IRC / RFC 1459) daemon intended for stable, secure deployments for both private and public-facing users. It provides quick messaging across servers, even when deployed on a global scale. One of the recent goals of the project has been to limit memory leaks and test functionality to ensure quality for all users.

While looking for resource leaks and other things to test inside Elemental-IRCd git master, we stumbled on an unfortunate programming error in how the MONITOR command was handled that can lead to a system out-of-memory event if an attacker hammers at the MONITOR command over and over.

External References:

http://elemental-ircd.com/security/e50b0d59-f3c5-4472-a3cd-e2e07731417c/

Comment 1 Martin Prpič 2015-10-13 08:04:02 UTC
Created ircd-ratbox tracking bugs for this issue:

Affects: fedora-all [bug 1271114]
Affects: epel-5 [bug 1271115]

Comment 2 Product Security DevOps Team 2019-06-08 02:44:07 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.